# class Puppet::Provider::Confine::False

### Public Class Methods

summarize(confines) click to toggle source

    # File lib/puppet/provider/confine/false.rb, line 4
    def self.summarize(confines)
      confines.inject(0) { |count, confine| count + confine.summary }
    end

### Public Instance Methods

message(value) click to toggle source

    # File lib/puppet/provider/confine/false.rb, line 12
    def message(value)
      "true value when expecting false"
    end

pass?(value) click to toggle source

    # File lib/puppet/provider/confine/false.rb, line 8
    def pass?(value)
      ! value
    end

summary() click to toggle source

    # File lib/puppet/provider/confine/false.rb, line 16
    def summary
      result.find_all { |v| v == false }.length
    end